function dealArea(area) {
    if (area === 1) {
      return 200;
    }
    if (area === 2) {
      return 100;
    }
    if (area === 3) {
      return 50;
    }
  }

const travelExpenseObj = {
  // 处理 p1 级别的差率费
  p1: function (area) {
    let price = 200;
    return price + dealArea(area);
  },

  // ... p1 - p6 

  m1: function (area) {
    let price = 1000;
    return price + dealArea(area);
  },

  m2: function (area) {
    let price = 1500;
    return price + dealArea(area);
  },

  m3: function (area) {
    let price = 2000;
    return price + dealArea(area);
  },
};

function travelExpense(level, area) {
  return travelExpenseObj[level](area);
}

console.log(travelExpense("m1", 1)); // 1200
console.log(travelExpense("m2", 1)); // 1700
console.log(travelExpense("m3", 1)); // 2200
